# Generated by sila2.code_generator; sila2.__version__: 0.9.2
from __future__ import annotations

from typing import TYPE_CHECKING

from sila2.server import MetadataDict, ObservableCommandInstance

from ..generated.phcontroller import PHControllerBase, SetPH_Responses

if TYPE_CHECKING:
    from ..server import Server


class PHControllerImpl(PHControllerBase):
    def __init__(self, parent_server: Server) -> None:
        super().__init__(parent_server=parent_server)

    def SetPH(self, PH: float, *, metadata: MetadataDict, instance: ObservableCommandInstance) -> SetPH_Responses:
        instance.begin_execution()  # set execution status from `waiting` to `running`
        raise NotImplementedError  # TODO
